[arch-commits] Commit in xf86dgaproto/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 21 21:39:06 EDT 2009


    Date: Tuesday, April 21, 2009 @ 21:39:06
  Author: eric
Revision: 36392

Merged revisions 356,36391 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xf86dgaproto/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r36391 | eric | 2009-04-21 21:38:49 -0400 (Tue, 21 Apr 2009) | 2 lines
  
  upgpkg: xf86dgaproto 2.0.3-2
      Added license
........

Modified:
  xf86dgaproto/repos/extra-x86_64/	(properties)
  xf86dgaproto/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)


Property changes on: xf86dgaproto/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /xf86dgaproto/trunk:1
   + /xf86dgaproto/trunk:1-36391

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-22 01:38:49 UTC (rev 36391)
+++ extra-x86_64/PKGBUILD	2009-04-22 01:39:06 UTC (rev 36392)
@@ -3,16 +3,18 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xf86dgaproto
 pkgver=2.0.3
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Direct Graphics Access extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('42fdcebc66efac02ab4beec2b1b0ad6e')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-md5sums=('42fdcebc66efac02ab4beec2b1b0ad6e')



More information about the arch-commits mailing list